#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PULSE_VERSION = $(shell dpkg-query --showformat='$${Version}' --show pulseaudio | sed -e 's/-[^-]*$$//' -e 's/^[0-9]*://')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denabledeepbufferworkaround=true \
		$(NULL)

override_dh_shlibdeps:
	dh_shlibdeps \
		--dpkg-shlibdeps-params=--ignore-missing-info \
		-l/usr/lib/${DEB_HOST_MULTIARCH}/pulseaudio:/usr/lib/pulse-$(PULSE_VERSION)/modules
